Name:           matrix-gtk-theme
Version:        17.14a6b42
Release:        1%{?dist}
Summary:        A GTK theme based on the Matrix colour palette

License:        GPL-3.0-or-later
URL:            https://github.com/Fausto-Korpsvart/Matrix-GTK-Theme

%global commit 14a6b42e0b23b2d8631c9dfaf3c4531c1410aab8

Source0:        %{URL}/archive/%{commit}.tar.gz

BuildArch:      noarch

BuildRequires:  sassc
Requires:       gtk-update-icon-cache

%description
A GTK theme based on the Matrix colour palette, with icon tweaks and optional macOS-style refinements.

%prep
%autosetup -n Matrix-GTK-Theme-%{commit}

%build
# Nothing to build

%install
install -dm 755 %{buildroot}/usr/share/themes
install -dm 755 %{buildroot}/usr/share/icons

cd themes
./install.sh -l --tweaks macos -d %{buildroot}/usr/share/themes

cp -a ../icons/Matrix-Dark ../icons/Matrix-Sweet %{buildroot}/usr/share/icons/

%files
%license LICENSE
%doc README.md
/usr/share/themes/*
/usr/share/icons/Matrix-Dark
/usr/share/icons/Matrix-Sweet

%changelog
* Tue May 06 2025 21:50 Little Owl <littleowl@athenaos.org>
- Synced with upstream
